#ifndef _BBCXMLSERIALIZER_H
#define _BBCXMLSERIALIZER_H

#include <BBCPrerequisites.h>

namespace BBC {

class _BBCExport XmlSerializer 
{
  public:
    XmlSerializer();

    ~XmlSerializer();

  protected:
    Ogre::String mFilename;
	TiXmlDocument *mFile;
    bool mLoaded;

  public:
	  TiXmlDocument* load(Ogre::String filename);

 	  void save();

	  TiXmlDocument* create(Ogre::String filename);
};

}
#endif
