#ifndef _BBCBILLBOARDCLOUDUVMAPPER_H
#define _BBCBILLBOARDCLOUDUVMAPPER_H

#include "IMGBsp.h"
#include "IMGClusterList.h"
#include "BBCBillboardCloud.h"

namespace BBC {

class BillboardCloudUVMapper {
  protected:
    IMG::Bsp mBsp;

    IMG::ClusterList mClusterList;

    unsigned short int mTextureWidth;

    unsigned short int mTextureHeight;

	unsigned short int mTextureAtlasWidth;

	unsigned short int mTextureAtlasHeight;

    BillboardCloud * mBillboardCloud;


  public:
    void initialize();

    void setTextureAtlasWidth(unsigned short int width);

    unsigned short int getTextureAtlasWidth();

    void setTextureAtlasHeight(unsigned short int height);

    unsigned short int getTextureAtlasHeight();

    void setTextureWidth(unsigned short int width);

    unsigned short int getTextureWidth();

    void setTextureHeight(unsigned short int height);

    unsigned short int getTextureHeight();

    void BillboardCloudUVMapper::generateTextureAtlasTextureCoords(bool mergeBillboards); 

    void setBillboardCloud(BillboardCloud *billboardCloud);

    BillboardCloud* getBillboardCloud();

    BillboardCloudUVMapper();

    ~BillboardCloudUVMapper();

};

}
#endif
