#ifndef _IMGPLANE3_H
#define _IMGPLANE3_H

#include "IMGPrerequisites.h"

namespace IMG {

class Plane3: public Ogre::Plane {
  public:
    //a plane's interface
    //Plane();
    //~Plane();
    inline Plane3 & operator =(const Plane3 & p) {
    		normal.x = p.normal.x;
    		normal.y = p.normal.y;
    		normal.z = p.normal.z;
    		d = p.d;		
    		return *this;
    	};

	inline Ogre::Vector3 * GetNormal() {
		Ogre::Vector3 *v = new Ogre::Vector3;
    		v->x = normal.x;
    		v->y = normal.y;
    		v->z = normal.z;
    		return v;
    	};

    inline void SetNormal(float x, float y, float z) {
    		normal.x = x;
    		normal.y = y;
    		normal.z = z;		
    	};

    inline void SetDistance(float dist) {
    		d = dist;
    	};

    inline float GetDistance() const { return d;};

    inline void Print() {
    		printf("\nPrintant pla: (%.4f, %.4f, %.4f, %.4f)", normal.x, normal.y, normal.z, d);
    	};

    ~Plane3();

};

}
#endif
